# Fake news

Client : [Laurent GIRAUD](mailto:laurent.giraud@uca.fr) et [Maxime PUYS](mailto:maxime.puys@uca.fr)

## Contexte de la SAÉ

La multiplication des « fake news » ou en français, « infox », traduction suggérée par la Commission de néologie et de terminologie (cf. https://www.culture.fr/franceterme/terme/CULT754) rend difficile l'interprétation de l'information à notre époque. Le grand public a souvent besoin qu'on l'aide à repérer les informations malveillantes, tronquées, ou fausses. Le domaine de la lutte d'influence passe de loin les domaines de la politique, de la défense, pour s'étendre au commerce, à la propriété intellectuelle et industrielle, la réputation d'autrui, etc.

Les mauvaises informations entraînent une simplification du débat public dans les démocraties, un appauvrissement des échanges dialectiques, et l'émergence d'une forme nouvelle de violence orale, écrite et idéologique. Ces « fakes » sont un terreau fertile pour les menées complotistes et conspirationnistes, qui contrairement à ce que l'on croit, ne datent pas récemment de l'expansion du numérique, mais remontent à la Révolution française, à la fin du XVIII^ème^ siècle.

## Sujet de la SAÉ

Dans cette optique, le projet de SAÉ consiste à concevoir et développer une application et un site web qui recensent les « infox » à partir de liens, de bases de données, à les analyser et à les démystifier par des articles écrits, des vidéos, des podcasts, des critiques d'images fixes ou animées, adossés à une base de données qui les classeraient en fonction de leur thématique et de leurs rapports aux lois qui les sanctionnent.
Ils seraient accessibles en ligne et sur l'application, y compris grâce à des applications mobiles, pour consulter, publier, modifier selon des niveaux d'accréditation différents : simple internaute lecteur et consultant, contributeur agréé, administrateur.
Le travail pourra s'inspirer des nombreux sites qui recensent déjà ces aides en ligne à la lutte contre les fake news : site de journaux et de médias divers, institutions, « think tanks », etc. Mais ces sites ne laissent pas toujours en ligne longtemps leurs ressources, ou ne les diffusent qu'à leurs abonnés. Le principe serait ici le libre accès, la construction d'une communauté de rédacteurs et pédagogues de l'information contemporaine.

## Attendus techniques possibles de la SAÉ

L'application correspondra pour ses outils techniques aux langages, frameworks, etc., appris en cours, selon des technologies diverses à définir (compétence 1 = développer).

Le site web sera dynamique, « responsive », en lien avec les technologies apprises en BUT1 et 2.

Un soin particulier sera accordé aux méthodes de programmation, et l application comme le site web devront correspondre aux normes de qualité et de développement en POO, ainsi qu'aux principes d'optimisation pour rendre l'application aussi économe que possible en ressources, notamment au niveau des réseaux, et des conteneurs qui auront pour fonction de rendre le code exécutable de manière efficace et de le connecter à n'importe quelle infrastructure (Docker ?) (compétences 2 et 3). La base de données se fera avec les techniques apprises en cours depuis le S1 (SQL, autres, compétence 4). Cette base de données requerra dans sa construction une organisation qui permettra de classer les articles selon les domaines du droit auxquels ils se rapportent : code pénal, code électoral, code monétaire et financier, code de la consommation, etc.

Outre des connaissances en gestion de projet, le sujet de SAÉ mettra en jeu les apprentissages des cours de droit des TIC (compétences 4 et 5).

Enfin, le travail d'équipe (compétence 6) sera aussi sollicité. Il sera bien que l'équipe d'étudiants soit elle-même contributrice pour un exemple de publication, afin de constituer une « démo ». Le client sera l'aide pour les guider.

Et enfin, les étudiants devront baptiser l'application en trouvant un titre, une sorte de « trade mark » originale.
