# SAÉ de 2A

## Règles de fonctionnement

Voici les règles qui encadrent la réalisation de vos SAÉ pendant votre deuxième année :

- Les deux SAÉ sont fusionnées autour du même projet, soit 175h pour les FI et 100h pour les FA :
  + Les FI travaillent toute l'année en suivant les créneaux à l'emploi du temps
  + Les FA travaillent en concentré pendant les vacances de la Toussaint (7h par jour pendant 4 jours), les vacances de février (7h par jour pendant 5 jours), puis, pour terminer (restera 36 heures), en même temps que les FI (en suivant les créneaux de l'emploi du temps).
- Un cadre de projet a été défini pour structurer l'harmonie avec les ressources (voir ci-dessous).
- Les enseignants proposant les projets ne seront pas les tuteurs du projet mais les *clients*. Leur rôle sera donc uniquement de s'assurer du respect du cœur de cible.
- Au-delà de l'architecture générale, le cadre définit quelles ressources sont concernées dans le projet (voir ci-dessous).
- Chaque ressource se charge, pendant son temps de cours, du suivi et de l'évaluation individuelle de la SAÉ pour la technologie utilisée en cours. Un ensemble de critères spécifiques à la SAÉ sont définis par chaque équipe de ressource.
- Des soutenances intermédiaires (pour les FI seulement) et terminales (pour les FI et les FA) serviront à l'évaluation du groupe dans sa globalité.
- Ainsi, chaque UE aura, en SAÉ, deux notes, une individuelle mise par la ou les ressource(s) et une globale mise par la ou les soutenance(s).
- Pour les FI, la soutenance intermédiaire (sur un créneau de 45 minutes) aura lieu en semaine 50, soit à peu près à 2/3 du projet, et devra permettre la présentation d'un prototype.
- La soutenance finale (sur un créneau de 90 minutes) aura lieu la semaine 13, juste avant le départ en deuxième période (FI) ou en stage (FA).
- Le rapport et la soutenance font le bilan du projet et prennent du recul sur les 6 compétences.

## Cadre de la SAÉ

Le cadre suivant a été défini :

![Architecture](cadre_SAE_2A.svg "Architecture générale de la SAÉ 2A")

Ce cadre permet d'intégrer les ressources à l'encadrement des SAÉ et l'évaluation des UE :

- Analyse du projet [R3.03]
- Réalisation de deux applications client (1 web en PHP [R3.01] et 1 mobile en Kotlin/Android [R4.A.11]) => UE1
- Chaque application doit consommer des données provenant d'une base de données [R3.07, R4.01, R4.03] via un web service [R4.01] à écrire => UE3, UE4
- L'application web client, le web service et la base de données seront déployées sur un serveur [R3.05, R3.06] ou dans des conteneurs Docker [R4.A.08] => UE3
- Les applications devront mettre en valeur la qualité via l'utilisation de patrons de conception et l'application des principes S.O.L.I.D. [R3.04] => UE2
- Une application web d'administration simple des données sera ajoutée uniquement par les FI en Blazor [R3.01] => UE1
- Une application web (Web) ou mobile (PM) de monitoring sera ajoutée [R4.A.10] => UE1
- Le code que vous produirez devra être testé [R4.02] => UE2
- La gestion de projet sera suivie en méthode SCRUM-lite [R3.10] => UE5
- Et bien sûr, la capacité à travailler en équipe sera évaluée => UE6

## Jalons

- 6 septembre 2024 : liste des équipes transmises à [Laurent PROVOT](mailto:laurent.provot@uca.fr)
- vendredi 20 décembre 2024 : première soutenance (FI)
- vendredi 4 avril 2025 : soutenance terminale (FI et FA)

## Contacts

- Le client à contacter pour chaque projet est indiqué dans la page du projet (cf. [Liste des projets](#liste-des-projets))
- Le client **n'a pas** pour rôle de vous aider techniquement
- Pour les questions techniques, c'est votre enseignant de ressource que vous devez contacter et qui vous répondra
- Certains enseignants se proposent de répondre à vos questions si elles se rapportent à certains domaines qui pourraient ne pas apparaître dans vos ressources :
  + [Marc CHEVALDONNÉ](mailto:marc.chevaldonne@uca.fr) : Blazor, Web API (surtout en .NET), ORM (surtout en .NET), CI/CD
  + [Laurent PROVOT](mailto:laurent.provot@uca.fr) : Linux, C++, Kotlin
- Pour tout problème concernant le fonctionnement de la SAÉ, merci de contacter [Laurent PROVOT](mailto:laurent.provot@uca.fr)


## Liste des projets

- [Tableau de bord](Projets/Projet_01.md)
- [Fake news](Projets/Projet_02.md)
- [SQLuedo](Projets/Projet_03.md)
- [SQL Check](Projets/Projet_04.md)
- [Cuisinote](Projets/Projet_05.md)
- [Dékal](Projets/Projet_06.md)
- [Qwirkle](Projets/Projet_07.md)
- [Jeu de couverture par chemins dans les graphes](Projets/Projet_08.md)
- [Gestion matériel IUT](Projets/Projet_09.md)


